MODULE lmdz_timer_filtre
  IMPLICIT NONE
  PRIVATE
  PUBLIC :: init_timer, start_timer, stop_timer, print_filtre_timer

  REAL :: time, last_time
CONTAINS

  SUBROUTINE init_timer
    time = 0
    Last_time = 0
  END SUBROUTINE init_timer

  SUBROUTINE start_timer

    CALL cpu_time(last_time)

  END SUBROUTINE start_timer


  SUBROUTINE stop_timer
    REAL :: T

    CALL cpu_time(t)
    time = time + t - last_time

  END SUBROUTINE stop_timer

  SUBROUTINE print_filtre_timer
    PRINT *, "Temps CPU passe dans le filtre :", time
  END SUBROUTINE  print_filtre_timer

END MODULE lmdz_timer_filtre
